Bug 1426012 - Auto installation failed for rhvh4.0-20170221.0
Summary: Auto installation failed for rhvh4.0-20170221.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.0.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ovirt-4.0.7
: ---
Assignee: Ryan Barry
QA Contact: dguo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 02:08 UTC by dguo
Modified: 2017-03-16 15:39 UTC (History)
16 users (show)

Fixed In Version: redhat-virtualization-host-4.0-20170222.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-16 15:39:53 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
Logs during installation (115.65 KB, application/x-gzip)
2017-02-23 02:08 UTC, dguo
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0549 normal SHIPPED_LIVE Moderate: redhat-virtualization-host security and bug fix update 2017-03-16 19:26:25 UTC

Description dguo 2017-02-23 02:08:45 UTC
Created attachment 1256758 [details]
Logs during installation

Description of problem:
rhvh4.0-20170221.0 auto kickstart installation failed

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.0-20170221.4.x86_64

How reproducible:
100%

Steps to Reproduce:
1. PXE boot for rhvh4.0-20170221
2. Boot with KS file defined below
''''''
#live disk image
liveimg --url=http://10.66.10.22:8090/rhvh_ngn/squashimg/redhat-virtualization-host-4.0-20170221.0/redhat-virtualization-host-4.0-20170221.0.x86_64.liveimg.squashfs

#Keyboard layouts
keyboard 'us'

#Root password
rootpw --plaintext redhat

# System language
lang en_us

# Partition cleaning information
clearpart --all

# System bootloader configure
bootloader --location=mbr
autopart --type=thinp


# System Timezone
timezone --utc Asia/Shanghai

# Clean mbr information
zerombr

# Use text mode install 
text

# Reboot after installation
reboot

%post --erroronfail
#%post
imgbase layout --init
%end

''''''

Actual results:
1.Installed failed, there is error shown:

05:36:51,570 INFO program: Running... /bin/sh /tmp/ks-script-9uYrtQ

05:37:01,805 INFO program: [INFO] Trying to create a manageable base from '/'

05:37:01,806 INFO program: [INFO] Initial base will be <Base rhvh-4.0-0.20170221.0 [] />

05:37:01,806 INFO program: [INFO] Initial layer will be <Layer rhvh-4.0-0.20170221.0+1 />

05:37:01,806 INFO program: [INFO] Creating an initial base <Base 
rhvh-4.0-0.20170221.0 [] /> for <LV 'rhvh_dhcp-8-140/root' />

05:37:01,807 INFO program: WARNING: Sum of all thin volume sizes (409.40
 GiB) exceeds the size of thin pool rhvh_dhcp-8-140/pool00 and the size 
of whole volume group (231.83 GiB)!

05:37:01,807 INFO program: [INFO] Creating initial layer <Layer rhvh-4.0-0.20170221.0+1 /> for initial base 

05:37:01,807 INFO program: [INFO] Adding a new layer after <Base rhvh-4.0-0.20170221.0 [] />

05:37:01,808 INFO program: [INFO] Adding a new layer after <Base rhvh-4.0-0.20170221.0 [] />

05:37:01,808 INFO program: [INFO] New layer will be: <Layer rhvh-4.0-0.20170221.0+1 />

05:37:01,808 INFO program: WARNING: Sum of all thin volume sizes (606.60
 GiB) exceeds the size of thin pool rhvh_dhcp-8-140/pool00 and the size 
of whole volume group (231.83 GiB)!

05:37:01,809 INFO program: [INFO] Verifying stream compatability

05:37:01,809 INFO program: [INFO] Migrating /etc (from <LV 'rhvh_dhcp-8-140/rhvh-4.0-0.20170221.0+1' />)

05:37:01,809 INFO program: cp: '/tmp/mnt.o1pu3///etc/ntp.conf' and '/tmp/mnt.4aLAI///etc/ntp.conf' are the same file 

05:37:01,809 INFO program: [ERROR] Failed to migrate etc

05:37:01,810 INFO program: Traceback (most recent call last):

05:37:01,810 INFO program: File "/usr/lib/python2.7/site-packages/imgbased/plugins/osupdater.py", line 76, in on_new_layer

05:37:01,810 INFO program: migrate_etc(imgbase, new_lv, previous_layer_lv)

05:37:01,810 INFO program: File "/usr/lib/python2.7/site-packages/imgbased/plugins/osupdater.py", line 262, in migrate_etc

05:37:01,811 INFO program: "-a", "-r")

05:37:01,811 INFO program: File "/usr/lib/python2.7/site-packages/imgbased/utils.py", line 63, in copy_files

05:37:01,811 INFO program: return cp(args)

05:37:01,812 INFO program: File "/usr/lib/python2.7/site-packages/imgbased/utils.py", line 362, in cp

05:37:01,812 INFO program: return self.call(["cp"] + args, **kwargs)

05:37:01,812 INFO program: File "/usr/lib/python2.7/site-packages/imgbased/utils.py", line 324, in call 

05:37:01,812 INFO program: stdout = call(*args, **kwargs)

05:37:01,813 INFO program: File "/usr/lib/python2.7/site-packages/imgbased/utils.py", line 118, in call 

05:37:01,813 INFO program: return subprocess.check_output(*args, **kwargs).strip()

05:37:01,813 INFO program: File "/usr/lib64/python2.7/subprocess.py", line 575, in check_output

05:37:01,814 INFO program: raise CalledProcessError(retcode, cmd, output=output)

05:37:01,814 INFO program: CalledProcessError: Command '['cp', '-a', 
'-r', u'/tmp/mnt.o1pu3///etc/ntp.conf', 
u'/tmp/mnt.4aLAI///etc/ntp.conf']' returned non-zero exit status 1

05:37:01,814 INFO program: Traceback (most recent call last):

05:37:01,814 INFO program: File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main

05:37:01,815 INFO program: "__main__", fname, loader, pkg_name)

Expected results:
1. Install can be successfully

Additional info:
1. No such issue in previous build, so it is a regression

Comment 2 Sandro Bonazzola 2017-02-23 08:49:47 UTC
Ryan can you spend two words on what happened and what has been fixed?

Comment 3 Ryan Barry 2017-02-23 13:07:20 UTC
This was a regression caused by a change to osupdater.

At init, osupdater appears to trigger with the new LV/layer as both old_fs and new_fs, meaning that any attempts to copy files are using the same path as source and destination.

rsync didn't complain about this. cp does.

Comment 4 dguo 2017-02-27 03:12:51 UTC
Verified on latest build rhvh-4.0-2017022.0

Comment 8 errata-xmlrpc 2017-03-16 15:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0549.html


Note You need to log in before you can comment on or make changes to this bug.